using System;

namespace SolarDevices
{
    public enum StateCode
    {
        Resting,
        Bulk,
        Absorb,
        Float,
        Equalize
    }

    public class ChargeEvent
    {
        public StateCode StateCode;
        public string EnergyToday;
        public bool Generator;
    }


    [Serializable]
    public class EventObject
    {
        public string title;
        public string start;
    }
}