﻿using System;
using System.IO;
using System.Threading;
using Core;
using Core.Extensions;
using Core.Hardware.LCD;
using Core.Hardware.RTC;
using Core.Hardware.Watchdog;
using EmbeddedWebserver.Core;
using Microsoft.SPOT.Net.NetworkInformation;
using SecretLabs.NETMF.Hardware.Netduino;
using SolarDevices;
using SolarDevices.Configuration;


namespace SolarWeb
{
    public class Program
    {
        public static void Main()
        {
            var monitor = new Monitor();
            monitor.Initialize();
            monitor.Run();
            Thread.Sleep(Timeout.Infinite);
        }

    }
}
