using System;

namespace SolarDevices
{
    [Serializable]
    public class ChargeState
    {
        public string Watts;
        public string PvVolts;
        public string PvAmps;
        public string BatteryVolts;
        public string BatteryAmps;
        public string EnergyToday;
        public string TotalKwH;
        public string State;
        public string ControllerError;
        public string InverterPower;
        public string GeneratorPower;
        public string InverterError;
        public bool ShowInverter;
        public bool Connected;
        public bool RequestDate;
    }
}