namespace SolarDevices.Configuration
{
    public enum ChargeControllerType
    {
        Classic,
        Outback,
        TriStarTCP,
        TriStarRTU
    }

    public enum InverterType
    {
        None,
        Outback
    }

    public interface ISolarConfiguration
    {
        ChargeControllerType ChargeController { get; set; }
        InverterType Inverter { get; set; }
        int MaxPVVoltage { get; set; }
        int PowerScale { get; set; }
        int BatteryVoltageScale { get; set; }
    }
}