namespace SolarDevices.Configuration
{
    public class ModbusConfiguration : IModbusConfiguration
    {
        private static string _modbusSlaveIp;
        private static ushort _modbusSlavePort;
        private static bool _setClassicTime = false;
        private static string _modbusPassword;

        public string ModbusSlaveIp
        {
            get
            {
                string rval;
                lock (this)
                {
                    rval = _modbusSlaveIp;
                }
                return rval;
            }
            set
            {
                lock (this)
                {
                    _modbusSlaveIp = value;
                }
            }
        }

        public ushort ModbusSlavePort
        {
            get
            {
                ushort rval;
                lock (this)
                {
                    rval = _modbusSlavePort;
                }
                return rval;
            }
            set
            {
                lock (this)
                {
                    _modbusSlavePort = value;
                }
            }
        }
    }
}