using System;

namespace SolarDevices
{
    public interface IRegisterTable : IDisposable
    {
        void StartPolling();
        ChargeState ReadChargeState();
        void AddInverterData(ref ChargeState chargeState);
        void ReadChargeEvent(ref ChargeEvent ce);
        void ReadInverterEvent(ref ChargeEvent ce);
    }
}